@echo off
rem Dezyne --- Dezyne command line tools
rem
rem Copyright © 2019, 2020, 2021, 2023 Jan (janneke) Nieuwenhuizen <janneke@gnu.org>
rem Copyright © 2021 Rutger van Beusekom <rutger@dezyne.org>
rem
rem This file is part of Dezyne.
rem
rem Dezyne is free software: you can redistribute it and/or modify it
rem under the terms of the GNU Affero General Public License as
rem published by the Free Software Foundation, either version 3 of the
rem License, or (at your option) any later version.
rem
rem Dezyne is distributed in the hope that it will be useful, but
rem WITHOUT ANY WARRANTY; without even the implied warranty of
rem MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
rem Affero General Public License for more details.
rem
rem You should have received a copy of the GNU Affero General Public
rem License along with Dezyne.  If not, see <http://www.gnu.org/licenses/>.
setlocal
set dir=%~dp0
set dir=%dir:\=/%
set DZN_DATADIR=%dir%/gnu/share/dezyne
set IDE_DATADIR=%dir%/gnu/share/verum-dezyne
set HOME=%USERPROFILE:\=/%
set XDG_CACHE_HOME=%LOCALAPPDATA:\=/%
set XDG_RUNTIME_DIR=%XDG_CACHE_HOME%
"%dir%/guile.cmd" "%dir%/gnu/bin/dzn" %*
